class Change
  include Mongoid::History::Tracker
  CLEAN_TYPES = %w[User Feature Edition PresentationDataTemplate Attachment
                   Site Person CustomProfile Event Course PageEdition School
                   AcademicSubject AcademicProgram Menu Tag Relationship Group
                   SiteCategory EmbeddedImage BioEdition].freeze

  scope :by_last_change, (lambda do |last_change|
    return scoped if last_change.nil?
    where('updated_at' => { '$gte' => Time.parse(last_change.to_s) })
  end)

  def self.object(klass, id)
    klass = CLEAN_TYPES.find { |k| k == klass }.try(:safe_constantize)
    return unless klass && id
    klass.where(id: id).first || klass.new
  end
end
