module BiolaPhone
  extend ActiveSupport::Concern

  # The value you pass in would be the method name for some alternate phone number.
  def full_biola_phone_number(method = nil)
    if original = get_phone(method)
      number_ranges original
    end
  end

  private

  def get_phone(method = nil)
    if method
      self.send(method) if self.respond_to?(method)
    elsif self.respond_to? :employee_phone
      employee_phone
    elsif self.respond_to? :phone
      phone
    end
  end

  def number_ranges(original)
    if original
      number = original.to_s.gsub(/\D/, "").to_i
      if number <= 0
        nil
      elsif number.between?(4000, 4099)
        "(562) 777-#{number}"
      elsif number.between?(4100, 4299) || number.between?(4500, 4599)
        "(562) 906-#{number}"
      elsif number.between?(4700, 4899)
        "(562) 903-#{number}"
      elsif number > 9999
        original.to_s
      else
        "(562) 944-0351, ext: #{number}"
      end
    end
  end
end
