module RozUploadable
  extend ActiveSupport::Concern

  included do
    # TODO: Should this be handled in the roz gem? Mock?
    if defined?(::Rails) && ::Rails.env.test?
      storage :file
    else
      storage :roz

      require 'carrierwave/storage/roz'

      api_base_url    BuwebContentModels.config.roz_api_base_url
      files_base_url  BuwebContentModels.config.roz_files_base_url
      access_id       BuwebContentModels.config.roz_access_id
      secret_key      BuwebContentModels.config.roz_secret_key
    end
  end

  # Override the directory where uploaded files will be stored.
  def store_dir
    "#{model.class.to_s.underscore}/#{model.id}"
  end
end
