module Student
  extend ActiveSupport::Concern

  included do

    UNDERGRAD_STUDENT_LEVELS = [
      'Graduate',
      'Post Baccalaureate',
      'Non Degree (ELSP)',
      'Doctoral',
      'Undergraduate']

    field :majors, type: Array
    field :minors, type: Array
    field :degree, type: String
    field :mailbox, type: String
    field :college, type: String # Examples: School of Education, English Language Program, Cook Sch Intercultural Studies, Rosemead Sch of Psychology, School of Arts & Sciences, Talbot School of Theology, Undergraduate
    field :student_department, type: String
    field :level, type: String # Examples: Graduate, Post Baccalaureate, Non Degree (ELSP), Doctoral, Undergraduate
    field :privacy, type: Boolean, default: false

    def major
      majors.first unless majors.nil?
    end

    def minor
      minors.first unless minors.nil?
    end

  end

end
