class DepartmentContact
  include Mongoid::Document
  include Mongoid::History::Trackable
  include BiolaPhone

  embedded_in :department

  field :name, type: String
  field :purpose, type: String
  field :phone, type: String
  field :email, type: String
  field :link, type: String
  field :embed_code, type: String  # for chat embeds?
  field :primary, type: Boolean, default: false
  field :fax, type: String


  belongs_to :person # links to a specific person. used if is_person is true

  validates :name, presence: true

  track_history on: :fields,
                track_create: true,
                track_update: true,
                track_destroy: true,
                scope: [ :department ]

  def is_person?
    has_person?
  end

  def to_s
    name
  end

end
