require 'uri'

class Link
  include Mongoid::Document
  include Mongoid::Timestamps
  include Mongoid::History::Trackable

  field :title, type: String
  field :url, type: String

  validates_presence_of :title, :url
  validates :url, absolute_uri: true

  embedded_in :event

  track_history on: :fields,
                track_create: true,
                track_update: true,
                track_destroy: true,
                scope: [ :event ]

  def to_s
    title
  end
end
