class MediaResource
  include Mongoid::Document
  include Mongoid::Timestamps
  include Mongoid::History::Trackable

  AVAILABLE_TYPES = ['youtube', 'vimeo', 'hd_video', 'sd_video', 'audio']

  field :type, type: String
  field :url, type: String

  embedded_in :medium

  validates_presence_of :type, :url
  validates_uniqueness_of :type, :url

  track_history on: :fields,
                track_create: true,
                track_update: true,
                track_destroy: true,
                scope: [ :medium ]
end
