class SocialMediaUrlSplitter
  def initialize(raw_url)
    @raw_url = raw_url
  end

  attr_reader :raw_url

  def type
    @type ||= uri.host.to_s.split('.')[-2]
  end

  def account
    # For vimeo: if the account is a group the group number will be the user, elsewise it will store the username.
    @account ||=
      if ((type == 'youtube' && path_parts[1] == 'user') || (type == 'vimeo' && path_parts[1] == 'groups'))
        path_parts[2]
      else
        path_parts[1]
      end
  end

  private

  def uri
    @uri ||= URI.parse(URI.encode(raw_url))
  end

  def path_parts
    @path_parts ||= uri.path.split('/')
  end
end
