require 'carrierwave/processing/mini_magick'

class EmbeddedImageUploader < CarrierWave::Uploader::Base
  include CarrierWave::MiniMagick
  include RozUploadable

  # Scale down original file if it is too big
  process :resize_to_limit => [2048, 2048]

  version :thumb do
    process :resize_to_fill => [100, 100]
  end

  # Add a white list of extensions which are allowed to be uploaded.
  # For images you might use something like this:
  def extension_white_list
    %w(jpg jpeg png)
  end
end
