require 'carrierwave/processing/mini_magick'

class EventPhotoUploader < CarrierWave::Uploader::Base
  include CarrierWave::MiniMagick
  include RozUploadable

  # Add a white list of extensions which are allowed to be uploaded.
  # For images you might use something like this:
  def extension_white_list
    %w[jpg jpeg png]
  end

  # Scale down original file if it is too big
  process :resize_to_limit => [2048, 2048]

  version :thumb do
    resize_to_fill(100, 100)
  end

  version :small do
    resize_to_fill(200, 140, 'Center')
  end

  version :medium do
    resize_to_fill(460, 322, 'Center')
  end

  version :large do
    resize_to_fill(600, 420, 'Center')
  end
end
