require 'carrierwave/processing/mini_magick'

class FeaturePhotoUploader < CarrierWave::Uploader::Base
  include CarrierWave::MiniMagick
  # For documentation: http://www.rubydoc.info/github/jnicklas/carrierwave/master/CarrierWave/MiniMagick
  # resize_to_fit:   [100, 100] -> Scales down or up to be no larger than 100 by 100.
  # resize_to_limit: [100, 100] -> Same as resize_to_fit but will only resize the image if it is larger than the specified dimensions.
  # resize_to_fill:  [100, 100] -> Scales and crops to be exactly 100 by 100
  include RozUploadable

  # Scale down original file if it is too big
  process :resize_to_limit => [2048, 2048]

  # Create different versions of your uploaded files:
  version :thumb do
    process :resize_to_fill => [100, 100]  # this crops it down to be 100x100
  end

  version :small do
    process :resize_to_limit => [300, 300]
  end

  version :medium do
    process :resize_to_limit => [600, 600]
  end

  # Add a white list of extensions which are allowed to be uploaded.
  # For images you might use something like this:
  def extension_white_list
    %w(jpg jpeg png)
  end
end
