# Right now only admins have access to upload these files.
#  So the assumption is that they will know the right size to upload.

require 'carrierwave/storage/roz'

class GenericPhotoUploader < CarrierWave::Uploader::Base
  storage :roz

  api_base_url    BuwebContentModels.config.roz_api_base_url
  files_base_url  BuwebContentModels.config.roz_files_base_url
  access_id       BuwebContentModels.config.roz_access_id
  secret_key      BuwebContentModels.config.roz_secret_key

  # Override the directory where uploaded files will be stored.
  def store_dir
    "#{model.class.to_s.underscore}/#{model.id}/#{mounted_as}"
  end

  def extension_white_list
    %w(jpg jpeg png)
  end
end
