require 'carrierwave/processing/mini_magick'

class ProfilePhotoUploader < CarrierWave::Uploader::Base
  include CarrierWave::MiniMagick
  include RozUploadable

  # Scale down original file if it is too big
  process :resize_to_limit => [1200, 1200]

  # Create different versions of your uploaded files:
  version :thumb do
    process :resize_to_fill => [100, 100]  # this crops it down to be 100x100
  end

  version :small do
    process :resize_to_limit => [300, 300]
  end

  version :medium do
    process :resize_to_limit => [600, 600]
  end

  # Add a white list of extensions which are allowed to be uploaded.
  # For images you might use something like this:
  def extension_white_list
    %w(jpg jpeg png)
  end
end
