require 'carrierwave/processing/mini_magick'

class ThumbnailUploader < CarrierWave::Uploader::Base
  include CarrierWave::MiniMagick
  include RozUploadable

  # Add a white list of extensions which are allowed to be uploaded.
  # For images you might use something like this:
  def extension_white_list
    %w(jpg jpeg png)
  end

  # Scale down original file if it is too big
  process :resize_to_limit => [2048, 2048]

  version :medium do
    process :resize_to_limit => [600, 600]
  end

  version :thumb do
    process :crop
    resize_to_fill(100, 100)
  end

  def crop
    if model.try(:crop_x).present?
      manipulate! do |img|
        x = model.crop_x.to_i
        y = model.crop_y.to_i
        w = model.crop_w.to_i
        h = model.crop_h.to_i
        img.crop("#{w}x#{h}+#{x}+#{y}")
        img
      end
    end
  end
end
