class CourseKeysValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    values = Array(value)

    courses = Course.by_keys(values)
    invalid_keys = values - courses.map(&:course_key)

    if invalid_keys.any?
      record.errors[attribute] << "cannot find courses for #{invalid_keys.to_sentence}"
    end
  end
end
